# Return FTP accounts

This function lists FTP account information.

Important:

When you disable the FTP role, the system disables this function. For more information, read our How to Use Server Profiles documentation.

Endpoint: GET /Ftp/list_ftp
Version: 11.136.0.14
Security: BasicAuth

## Query parameters:

  - `include_acct_types` (string)
    A list of the FTP account types to include in the function's results.

* anonymous
* logaccess
* main
* sub

If you do not specify this parameter, this function returns all FTP account
types.

Note:

* Separate multiple types with the pipe character (|).
* In browser-based calls, use %7C.
    Example: "main|anonymous"

  - `skip_acct_types` (string)
    A list of the FTP account types to exclude from the function's
results.

* anonymous
* logaccess
* main
* sub

If you do not specify this parameter, this function does not exclude
any account types.

Note:

* Separate multiple types with the pipe character (|).
* In browser-based calls, use %7C.
    Example: "main|anonymous"

## Response 200 fields (application/json):

  - `apiversion` (integer)
    The version of the API.
    Example: 3

  - `func` (string)
    The name of the method called.
    Example: "list_ftp"

  - `module` (string)
    The name of the module called.
    Example: "Ftp"

  - `result` (object)

  - `result.data` (array)

  - `result.data.homedir` (string)
    The absolute path to the FTP account's document root.
    Example: "/home/user/public_html/ftp/"

  - `result.data.type` (string)
    The type of FTP account.

* anonymous
* logaccess
* main
* sub
    Enum: "anonymous", "logaccess", "main", "sub"

  - `result.data.user` (string)
    The username for an FTP account on the cPanel account.
    Example: "ftpaccount"

  - `result.errors` (array,null)
    List of errors if the API failed.

  - `result.messages` (array,null)
    List of messages generated by the API.

  - `result.metadata` (object)

  - `result.metadata.transformed` (integer)
    Post-processing may have transformed the data.
    Enum: 1

  - `result.status` (integer)
    - 1 - Success
- 0 - Failed: Check the errors field for more details.
    Enum: 0, 1

  - `result.warnings` (array,null)
    List of warnings generated by the API. Warnings describe non-critical failures or other problematic conditions noted while running a API.


